botruntime
API ReferenceAdmin API

Update Workspace

Update workspace

PUT
/v1/admin/workspaces/{id}

Path Parameters

id*string

Workspace ID

Header Parameters

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Request Body

application/json

Workspace metadata

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/admin/workspaces/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "ownerId": "string",  "createdAt": "string",  "updatedAt": "string",  "botCount": 0,  "billingVersion": "v1",  "plan": "community",  "blocked": true,  "spendingLimit": 0,  "about": "",  "profilePicture": "",  "contactEmail": "",  "website": "",  "socialAccounts": [],  "isPublic": true,  "handle": "string",  "activeTrialId": "string"}
{  "id": "string",  "name": "string",  "ownerId": "string",  "createdAt": "string",  "updatedAt": "string",  "botCount": 0,  "billingVersion": "v1",  "plan": "community",  "blocked": true,  "spendingLimit": 0,  "about": "",  "profilePicture": "",  "contactEmail": "",  "website": "",  "socialAccounts": [],  "isPublic": true,  "handle": "string",  "activeTrialId": "string"}